Bug 138897 - CRASH: undoing paste
Summary: CRASH: undoing paste
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.2.0 target:7.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-14 14:39 UTC by Xisco Faulí
Modified: 2021-01-15 17:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-12-14 14:39:22 UTC
Steps to reproduce:
1. Open attachment 157441 [details] from bug 100018
2. Select all
3. Cut
4. Paste
5. Undo

-> Crash

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 9a2a4bc5ed340ba187c8e27db5c8477c990c93af
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-12-14 14:40:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b4365b985178e1866c74afd757a104aad1d405a9

author	Michael Stahl <Michael.Stahl@cib.de>	2020-12-10 11:22:13 +0100
committer	Michael Stahl <michael.stahl@cib.de>	2020-12-10 13:34:32 +0100
commit	b4365b985178e1866c74afd757a104aad1d405a9 (patch)
tree	7aac322e0e1ef31e80127f46fdd414a872430251
parent	5dbb0403b6f814129983963f5fea02208995270a (diff)
tdf#134626 sw: fix UBSan warning about deleted SwTextFormatColl

Bisected with: bibisect-linux64-7.2

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2020-12-18 08:40:07 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6c1e6b188eeb5868cafe3f1605f4213d627a452c

tdf#138897 sw: avoid creating SwUndoResetAttr in CopyImplImpl()

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (allotropia) 2020-12-18 08:41:14 UTC
fixed on master
Comment 4 Xisco Faulí 2021-01-15 10:12:09 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 5adc93a9a9426ef79054751be2904896f787a8a2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 5 Commit Notification 2021-01-15 17:22:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/b1ee85d5c19466fb65d934491639fd4f2769fe13

tdf#138897 sw: avoid creating SwUndoResetAttr in CopyImplImpl()

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.